Permafailing Tier 2 LeakSanitizer | leak at alloc, __rdl_alloc, alloc::alloc::alloc, _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..Alloc$GT$::alloc

RESOLVED FIXED in Firefox 68

Status

defect
RESOLVED FIXED
3 months ago
3 months ago

People

(Reporter: intermittent-bug-filer, Assigned: mccr8)

Tracking

(Blocks 1 bug, {intermittent-failure, memory-leak, regression})

unspecified
mozilla68
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox-esr60 unaffected, firefox66 unaffected, firefox67 unaffected, firefox68 fixed)

Details

(Whiteboard: [stockwell disable-recommended])

Attachments

(1 attachment)

#[markdown(off)]
Filed by: btara [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=240007418&repo=mozilla-central

https://queue.taskcluster.net/v1/task/BhqcakhpT1eiNpxLl7tf1g/runs/0/artifacts/public/logs/live_backing.log

[task 2019-04-12T20:44:14.830Z] 20:44:14 INFO - TEST-START | /webauthn/securecontext.https.html
[task 2019-04-12T20:44:14.837Z] 20:44:14 INFO - Clearing pref security.webauth.webauthn
[task 2019-04-12T20:44:14.873Z] 20:44:14 INFO - Setting pref security.webauth.webauthn (true)
[task 2019-04-12T20:44:14.895Z] 20:44:14 INFO - Closing window 38654705665
[task 2019-04-12T20:44:15.024Z] 20:44:15 INFO - PID 22069 | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2019-04-12T20:44:16.119Z] 20:44:16 INFO - PID 22069 | -----------------------------------------------------
[task 2019-04-12T20:44:16.120Z] 20:44:16 INFO - PID 22069 | Suppressions used:
[task 2019-04-12T20:44:16.121Z] 20:44:16 INFO - PID 22069 | count bytes template
[task 2019-04-12T20:44:16.122Z] 20:44:16 INFO - PID 22069 | 27 832 nsComponentManagerImpl
[task 2019-04-12T20:44:16.124Z] 20:44:16 INFO - PID 22069 | 611 17713 libfontconfig.so
[task 2019-04-12T20:44:16.125Z] 20:44:16 INFO - PID 22069 | 1 29 libglib-2.0.so
[task 2019-04-12T20:44:16.127Z] 20:44:16 INFO - PID 22069 | -----------------------------------------------------
[task 2019-04-12T20:44:16.239Z] 20:44:16 INFO - .
[task 2019-04-12T20:44:16.240Z] 20:44:16 INFO - TEST-OK | /webauthn/securecontext.https.html | took 1410ms
[task 2019-04-12T20:44:16.269Z] 20:44:16 INFO - PID 22069 | 1555101856263 Marionette INFO Stopped listening on port 2828
[task 2019-04-12T20:44:16.635Z] 20:44:16 INFO - PID 22069 | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2019-04-12T20:44:16.651Z] 20:44:16 INFO - PID 22069 | ###!!! [Child][MessageChannel] Error: (msgtype=0x3500FE,name=PContent::Msg_AccumulateChildHistograms) Closed channel: cannot send/recv
[task 2019-04-12T20:44:16.652Z] 20:44:16 INFO - PID 22069 | ###!!! [Child][MessageChannel] Error: (msgtype=0x3500FF,name=PContent::Msg_AccumulateChildKeyedHistograms) Closed channel: cannot send/recv
[task 2019-04-12T20:44:16.652Z] 20:44:16 INFO - PID 22069 | ###!!! [Child][MessageChannel] Error: (msgtype=0x350103,name=PContent::Msg_RecordDiscardedData) Closed channel: cannot send/recv
[task 2019-04-12T20:44:18.031Z] 20:44:18 INFO - PID 22069 | -----------------------------------------------------
[task 2019-04-12T20:44:18.032Z] 20:44:18 INFO - PID 22069 | Suppressions used:
[task 2019-04-12T20:44:18.033Z] 20:44:18 INFO - PID 22069 | count bytes template
[task 2019-04-12T20:44:18.034Z] 20:44:18 INFO - PID 22069 | 27 832 nsComponentManagerImpl
[task 2019-04-12T20:44:18.034Z] 20:44:18 INFO - PID 22069 | 611 17713 libfontconfig.so
[task 2019-04-12T20:44:18.034Z] 20:44:18 INFO - PID 22069 | 1 29 libglib-2.0.so
[task 2019-04-12T20:44:18.034Z] 20:44:18 INFO - PID 22069 | -----------------------------------------------------
[task 2019-04-12T20:44:18.062Z] 20:44:18 INFO - PID 22069 | -----------------------------------------------------
[task 2019-04-12T20:44:18.063Z] 20:44:18 INFO - PID 22069 | Suppressions used:
[task 2019-04-12T20:44:18.063Z] 20:44:18 INFO - PID 22069 | count bytes template
[task 2019-04-12T20:44:18.063Z] 20:44:18 INFO - PID 22069 | 27 832 nsComponentManagerImpl
[task 2019-04-12T20:44:18.064Z] 20:44:18 INFO - PID 22069 | 2 288 libfontconfig.so
[task 2019-04-12T20:44:18.064Z] 20:44:18 INFO - PID 22069 | -----------------------------------------------------
[task 2019-04-12T20:44:18.083Z] 20:44:18 INFO - PID 22069 | -----------------------------------------------------
[task 2019-04-12T20:44:18.083Z] 20:44:18 INFO - PID 22069 | Suppressions used:
[task 2019-04-12T20:44:18.083Z] 20:44:18 INFO - PID 22069 | count bytes template
[task 2019-04-12T20:44:18.083Z] 20:44:18 INFO - PID 22069 | 27 832 nsComponentManagerImpl
[task 2019-04-12T20:44:18.084Z] 20:44:18 INFO - PID 22069 | 611 17713 libfontconfig.so
[task 2019-04-12T20:44:18.088Z] 20:44:18 INFO - PID 22069 | 1 29 libglib-2.0.so
[task 2019-04-12T20:44:18.088Z] 20:44:18 INFO - PID 22069 | -----------------------------------------------------
[task 2019-04-12T20:44:18.368Z] 20:44:18 INFO - PID 22069 | -----------------------------------------------------
[task 2019-04-12T20:44:18.368Z] 20:44:18 INFO - PID 22069 | Suppressions used:
[task 2019-04-12T20:44:18.369Z] 20:44:18 INFO - PID 22069 | count bytes template
[task 2019-04-12T20:44:18.369Z] 20:44:18 INFO - PID 22069 | 27 832 nsComponentManagerImpl
[task 2019-04-12T20:44:18.369Z] 20:44:18 INFO - PID 22069 | 611 17713 libfontconfig.so
[task 2019-04-12T20:44:18.369Z] 20:44:18 INFO - PID 22069 | 1 29 libglib-2.0.so
[task 2019-04-12T20:44:18.370Z] 20:44:18 INFO - PID 22069 | -----------------------------------------------------
[task 2019-04-12T20:44:19.719Z] 20:44:19 INFO - PID 22069 | -----------------------------------------------------
[task 2019-04-12T20:44:19.720Z] 20:44:19 INFO - PID 22069 | Suppressions used:
[task 2019-04-12T20:44:19.720Z] 20:44:19 INFO - PID 22069 | count bytes template
[task 2019-04-12T20:44:19.720Z] 20:44:19 INFO - PID 22069 | 24 728 nsComponentManagerImpl
[task 2019-04-12T20:44:19.720Z] 20:44:19 INFO - PID 22069 | 4 832 mozJSComponentLoader::LoadModule
[task 2019-04-12T20:44:19.720Z] 20:44:19 INFO - PID 22069 | 611 17509 libfontconfig.so
[task 2019-04-12T20:44:19.721Z] 20:44:19 INFO - PID 22069 | 39 1720 _PR_Getfd
[task 2019-04-12T20:44:19.721Z] 20:44:19 INFO - PID 22069 | 1 29 libglib-2.0.so
[task 2019-04-12T20:44:19.721Z] 20:44:19 INFO - PID 22069 | -----------------------------------------------------
[task 2019-04-12T20:44:19.907Z] 20:44:19 INFO - Browser exited with return code 0
[task 2019-04-12T20:44:19.908Z] 20:44:19 INFO - PROCESS LEAKS None
[task 2019-04-12T20:44:19.909Z] 20:44:19 INFO - ERROR | LeakSanitizer | SUMMARY: AddressSanitizer: 436226 byte(s) leaked in 7173 allocation(s).
[task 2019-04-12T20:44:19.909Z] 20:44:19 INFO - LeakSanitizer | To show the addresses of leaked objects add report_objects=1 to LSAN_OPTIONS
[task 2019-04-12T20:44:19.910Z] 20:44:19 INFO - This can be done in testing/mozbase/mozrunner/mozrunner/utils.py
[task 2019-04-12T20:44:19.910Z] 20:44:19 INFO - Allowed depth was 4
[task 2019-04-12T20:44:19.911Z] 20:44:19 INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, EmitUseLookupTable, GenerateBranches, GenerateBranches
[task 2019-04-12T20:44:19.911Z] 20:44:19 INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2019-04-12T20:44:19.911Z] 20:44:19 INFO - TEST-FAIL | LeakSanitizer | leak at Alloc, nsTSubstring, Gecko_StartBulkWriteString, nsstring::nsAString::start_bulk_write_impl
[task 2019-04-12T20:44:19.912Z] 20:44:19 INFO - INFO | LeakSanitizer | Frame Alloc matched a expected leak
[task 2019-04-12T20:44:19.912Z] 20:44:19 INFO - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at alloc, __rdl_alloc, alloc::alloc::alloc, _$LT$alloc..alloc..Global$u20$as$u20$core..alloc..Alloc$GT$::alloc
[task 2019-04-12T20:44:19.912Z] 20:44:19 INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js_pod_arena_malloc, maybe_pod_malloc, js::detail::OrderedHashTable
[task 2019-04-12T20:44:19.913Z] 20:44:19 INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak
[task 2019-04-12T20:44:19.913Z] 20:44:19 INFO - TEST-FAIL | LeakSanitizer | leak at EntrySlotOrCreate, EntrySlotOrCreate, mozilla::dom::MozQueryInterface_Binding::CreateInterfaceObjects, mozilla::dom::GetPerInterfaceObjectHandle
[task 2019-04-12T20:44:19.913Z] 20:44:19 INFO - INFO | LeakSanitizer | Frame EntrySlotOrCreate matched a expected leak
[task 2019-04-12T20:44:19.914Z] 20:44:19 INFO - TEST-FAIL | LeakSanitizer | leak at EntrySlotOrCreate, EntrySlotOrCreate, mozilla::dom::EventTarget_Binding::CreateInterfaceObjects, mozilla::dom::GetPerInterfaceObjectHandle
[task 2019-04-12T20:44:19.914Z] 20:44:19 INFO - INFO | LeakSanitizer | Frame EntrySlotOrCreate matched a expected leak
[task 2019-04-12T20:44:19.914Z] 20:44:19 INFO - TEST-FAIL | LeakSanitizer | leak at js_arena_malloc, js_pod_arena_malloc, maybe_pod_malloc, pod_malloc
[task 2019-04-12T20:44:19.914Z] 20:44:19 INFO - INFO | LeakSanitizer | Frame js_arena_malloc matched a expected leak

Component: DOM: Core & HTML → Security

Hrm, this looks similar to bug 1524478 except that it's still happening :(

Blocks: LSan
Keywords: memory-leak

This now on the disable recommended bugs as it has failed 150+ in the last 30 days. It also has 105 failures in the last 7 days, all on linux64 asan: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-04-17&endday=2019-04-24&tree=all&bug=1544115

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=242226187&repo=mozilla-central&lineNumber=69004
Wennie, could you please redirect this to someone who can take a look at it? Thanks.

Flags: needinfo?(wleung)

The most recent leaks are in /html/browsers/offline/introduction-4/

Anyways, I guess all of this Rust junk should be whitelisted at the top level so at least we can fix it in one place whenever the Rust people decide to rename their internal library functions or whatever and all of the whitelisting breaks.

Component: Security → DOM: Core & HTML
Flags: needinfo?(wleung) → needinfo?(continuation)
Component: DOM: Core & HTML → web-platform-tests
Flags: needinfo?(continuation)
Product: Core → Testing
Flags: needinfo?(continuation)

I have a try run going to make sure I don't break anything horribly:
https://treeherder.mozilla.org/#/jobs?repo=try&revision=1d106931fd0cffe66ee47a2fc5e9f8aa72fef008

Flags: needinfo?(continuation)

This whitelisting is not as mangled as the old one, so hopefully it
will be more resilient to changes in the Rust compiler. I moved them
to the top level white list, because like with the JS leaks we are
mostly focused on C++ leaks. Any interesting Rust leak is probably due
to a C++ leak.

Assignee: nobody → continuation
Pushed by amccreight@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/cde301c4dbfc
Consolidate whitelisting of Rust allocation functions for LSan WPT. r=chmanchester
Status: NEW → RESOLVED
Closed: 3 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla68
Regressions: 1547772
You need to log in before you can comment on or make changes to this bug.